Bug 474 - string convert bug?? (internal error)
string convert bug?? (internal error)
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: File Services
3.0.0preX
All Linux
: P3 normal
: none
Assigned To: Samba Bugzilla Account
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-18 04:46 UTC by Csillag Tamás
Modified: 2005-11-14 09:24 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Csillag Tamás 2003-09-18 04:46:32 UTC
Hi all!

browsing the log file of samba3 I found the following internal errors,
if you need more information do not hesitate to ask me.

The samba users database come from ldap backend...

[2003/09/18 13:13:39, 0] passdb/pdb_ldap.c:ldapsam_search_one_group(1612)
  ldapsam_search_one_group: Problem during the LDAP search: LDAP error:  
(Insufficient access)l402-2 (10.14.56.2) connect to service netlogon initially 
as user majan (uid=10093, gid=10002) (pid 3105)
[2003/09/18 13:13:47, 0] lib/fault.c:fault_report(36)
  ===============================================================
[2003/09/18 13:13:47, 0] lib/fault.c:fault_report(37)
  INTERNAL ERROR: Signal 11 in pid 3376 (3.0.0rc4)
  Please read the appendix Bugs of the Samba HOWTO collection
[2003/09/18 13:13:47, 0] lib/fault.c:fault_report(39)
  ===============================================================
[2003/09/18 13:13:47, 0] lib/util.c:smb_panic(1400)
  PANIC: internal error
[2003/09/18 13:13:47, 0] lib/util.c:smb_panic(1407)
  BACKTRACE: 23 stack frames:
   #0 /usr/sbin/smbd(smb_panic+0xc9) [0x8182799]
   #1 /usr/sbin/smbd [0x8173e72]
   #2 /lib/libc.so.6 [0x401cb9d8]
   #3 /lib/libc.so.6 [0x4020ee80]
   #4 /lib/libc.so.6(malloc+0xa1) [0x4020e145]
   #5 /usr/sbin/smbd(Realloc+0x75) [0x8181bd5]
   #6 /usr/sbin/smbd(convert_string_allocate+0x3a0) [0x8172384]
   #7 /usr/sbin/smbd(push_ucs2_allocate+0x30) [0x81729d0]
   #8 /usr/sbin/smbd(unix_strupper+0x19) [0x817247d]
   #9 /usr/sbin/smbd(strupper_m+0x44) [0x817cc54]
   #10 /usr/sbin/smbd [0x80bf196]
   #11 /usr/sbin/smbd [0x80bf853]
   #12 /usr/sbin/smbd(mangle_map+0x66) [0x80bde66]
   #13 /usr/sbin/smbd [0x80a178c]
   #14 /usr/sbin/smbd [0x80a2c6d]
   #15 /usr/sbin/smbd(reply_trans2+0x54c) [0x80a81f4]
   #16 /usr/sbin/smbd [0x80b874c]
   #17 /usr/sbin/smbd [0x80b893b]
   #18 /usr/sbin/smbd(process_smb+0x74) [0x80b8ae8]
   #19 /usr/sbin/smbd(smbd_process+0x150) [0x80b95ac]
   #20 /usr/sbin/smbd(main+0x40e) [0x81d8046]
   #21 /lib/libc.so.6(__libc_start_main+0xdd) [0x401baa51]
   #22 /usr/sbin/smbd(chroot+0x31) [0x8076a55]
[2003/09/18 13:13:48, 1] smbd/service.c:make_connection_snum(696)
  l402-9 (10.14.56.9) connect to service Utils initially as user xxxxx 
(uid=10084, gid=10002) (pid 5186)
[2003/09/18 13:13:48, 1] smbd/service.c:make_connection_snum(696)
  l402-2 (10.14.56.2) connect to service Utils initially as user xxxxx 
(uid=10093, gid=10002) (pid 3105)
[2003/09/18 13:13:54, 0] lib/fault.c:fault_report(36)
  ===============================================================
[2003/09/18 13:13:54, 0] lib/fault.c:fault_report(37)
  INTERNAL ERROR: Signal 11 in pid 1236 (3.0.0rc4)
  Please read the appendix Bugs of the Samba HOWTO collection
[2003/09/18 13:13:54, 0] lib/fault.c:fault_report(39)
  ===============================================================
[2003/09/18 13:13:54, 0] lib/util.c:smb_panic(1400)
  PANIC: internal error
[2003/09/18 13:13:54, 0] lib/util.c:smb_panic(1407)
  BACKTRACE: 15 stack frames:
   #0 /usr/sbin/smbd(smb_panic+0xc9) [0x8182799]
   #1 /usr/sbin/smbd [0x8173e72]
   #2 /lib/libc.so.6 [0x401cb9d8]
   #3 /lib/libc.so.6 [0x4020f77a]
   #4 /lib/libc.so.6(__libc_realloc+0x175) [0x4020e467]
   #5 /usr/sbin/smbd(Realloc+0x1d) [0x8181b7d]
   #6 /usr/sbin/smbd [0x80a1ffd]
   #7 /usr/sbin/smbd(reply_trans2+0x525) [0x80a81cd]
   #8 /usr/sbin/smbd [0x80b874c]
   #9 /usr/sbin/smbd [0x80b893b]
   #10 /usr/sbin/smbd(process_smb+0x74) [0x80b8ae8]
   #11 /usr/sbin/smbd(smbd_process+0x150) [0x80b95ac]
   #12 /usr/sbin/smbd(main+0x40e) [0x81d8046]
   #13 /lib/libc.so.6(__libc_start_main+0xdd) [0x401baa51]
   #14 /usr/sbin/smbd(chroot+0x31) [0x8076a55]
[2003/09/18 13:13:54, 0] lib/util_sock.c:get_socket_addr(919)
  getpeername failed. Error was Transport endpoint is not connected
[2003/09/18 13:13:54, 0] lib/util_sock.c:write_socket_data(388)
  write_socket_data: write failure. Error = Connection reset by peer
[2003/09/18 13:13:54, 0] lib/util_sock.c:write_socket(413)
  write_socket: Error writing 4 bytes to socket 20: ERRNO = Connection reset by 
peer


Best regards,
cstamas
Comment 1 Gerald (Jerry) Carter 2004-02-10 13:13:05 UTC
should be fixed in 3.0.2
Comment 2 Gerald (Jerry) Carter 2005-02-07 09:05:24 UTC
originally reported against one of the 3.0.0rc[1-4] releases.
Cleaning up non-production versions.
Comment 3 Gerald (Jerry) Carter 2005-08-24 10:15:36 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.
Comment 4 Gerald (Jerry) Carter 2005-11-14 09:24:19 UTC
database cleanup